import { GridDataLayer } from "../../../src/generation/grid/layers/GridDataLayer.js";
import { MirGridLayers } from "./MirGridLayers.js";
import { BinaryDataType } from "../../../src/core/binary/type/BinaryDataType.js";

/**
 *
 * @param {GridData} data
 */
export function configureMirGrid(data) {

    data.addLayer(GridDataLayer.from(MirGridLayers.Tags, BinaryDataType.Uint16, 1));

    data.addLayer(GridDataLayer.from(MirGridLayers.DistanceFromStart, BinaryDataType.Uint16, 1));
    data.addLayer(GridDataLayer.from(MirGridLayers.DistanceFromPlayArea, BinaryDataType.Uint16, 1));

    data.addLayer(GridDataLayer.from(MirGridLayers.Heights, BinaryDataType.Float32, 1));

    data.addLayer(GridDataLayer.from(MirGridLayers.Moisture, BinaryDataType.Float32, 1));
}
